<?php
	// menghubungkan dengan koneksi database
	include '../koneksi.php';

	// mengambil data dengan NIK paling besar
	$query 	= mysqli_query($koneksi, "SELECT * FROM personal");
	$data 	= mysqli_fetch_array($query);
	$NOID 	= $data['NO_ID'];
	$MAIL 	= $_POST['EMAIL'];
	// mengambil angka dari NIK terbesar, menggunakan fungsi substr
	// dan diubah ke integer dengan (int)
	$urutanid = (int) substr($NOID, 5, 3);
	$urutanmail = (int) substr($MAIL, 8, 2);

// bilangan yang diambil ini ditambah 1 untuk menentukan nomor urut berikutnya
	// $urutan++;

// membentuk NIK baru
// perintah sprintf("%04s", $urutan); berguna untuk membuat string menjadi 4 karakter
// misalnya perintah sprintf("%04s", 15); maka akan menghasilkan '0015'
// angka yang diambil tadi digabungkan dengan NIK huruf yang kita inginkan, misalnya J 
	$huruf = "P";
	$tahun = Date('y');
	$bulan = Date('m');
	$PASS = $huruf . sprintf("%03s", $urutanid) . sprintf("%03s", $urutanmail) . $bulan ;
?>